package tfg;

/**
 * The base class for all players, NPCs, Monsters, items etc.
 */
public class Entity {
    /**
     * The entity location.
     */
    protected Location entityLoc;

    /**
     * Get the entity location.
     * @return Entity location.
     */
    public Location getLocation() {
            return entityLoc;
    }

    /**
     * Set the entity location.
     * @param l New location.
     */
    public void setLocation(Location l) {
        entityLoc = l;
    }
}
